Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 264)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 265)
@@ -433,68 +460,42 @@
 			        $nomefile.="$descr_cons $tab15";
 			        $_SESSION['nomefile']=strip_tags(str_replace(" ", "_", $nomefile));
-				$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
-			
-
-				  # verificare la stampa sulle circoscrizioni
-				
-				 echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:0px;font-size:12px; \">";
-				 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 140px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
-				 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+					$datipdf="<b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons<br/><b>$pagina</b><br/><br/> $list1 $list2 $list3 ";
+# verificare la stampa sulle circoscrizioni					
+					 echo "<div style=\"text-align:right;width:900px;margin-left:10px;margin-right:0px;font-size:12px; \">";
+					 echo "<table style=\"text-align:center;margin-right:0px;border-top : 1px solid Blue;width: 140px;\"><tr style=\" background:#eceff5;\"><td>"._ESPORTA."<br />";
+					 if($circo){ echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;id_circ=$id_circ&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
 				}else{ 
-				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
-				  echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
-
-				echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";
-				
-				echo "	</td></tr> ";
-				
-				# stampa pdf
-				echo "<form id=\"pdf\" method=\"post\" action=\"modules.php\">";
-					
-				echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
-				echo "<input type=\"hidden\" name=\"op\" value=\"$op\"></input>";			
-				echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"></input>";
-				echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\"></input>";	
-				echo "<input type=\"hidden\" name=\"csv\" value=\"1\"></input>";
-				echo "<input type=\"hidden\" name=\"orvert\" value=\"$orvert\"></input>";
-				echo "<input type=\"hidden\" name=\"min\" value=\"$min\"></input>";					
+					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/printer.gif\" alt=\"Stampa\" /></a>";
+					echo "<a href=\"modules.php?name=Elezioni&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;csv=1&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez&amp;offsetsez=$offsetsez&amp;perc=$perc&amp;id_lista=$id_lista&amp;xls=1&amp;datipdf=$datipdf\" ><img class=\"image\"  src=\"modules/Elezioni/images/csv.gif\" alt=\"Export Csv\" /></a>";
+					echo "<img class=\"image\"  src=\"modules/Elezioni/images/rss.png\" alt=\"Export rss\" />";				
+					echo "	</td></tr> ";				
+	# stampa pdf
+					echo "<form id=\"pdf\" method=\"post\" action=\"modules.php\">";					
+					echo "<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\"></input>";	
+					echo "<input type=\"hidden\" name=\"op\" value=\"$op\"></input>";			
+					echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"></input>";
+					echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\"></input>";	
+					echo "<input type=\"hidden\" name=\"csv\" value=\"1\"></input>";
+					echo "<input type=\"hidden\" name=\"orvert\" value=\"$orvert\"></input>";
+					echo "<input type=\"hidden\" name=\"min\" value=\"$min\"></input>";					
 			        echo "<input type=\"hidden\" name=\"offset\" value=\"$offset\"></input>";
-				echo "<input type=\"hidden\" name=\"minsez\" value=\"$minsez\"></input>";	
-				echo "<input type=\"hidden\" name=\"offsetsez\" value=\"$offsetsez\"></input>";		
-				echo "<input type=\"hidden\" name=\"perc\" value=\"$perc\"></input>";	
-				echo "<input type=\"hidden\" name=\"id_lista\" value=\"$id_lista\"></input>";
-				echo "<input type=\"hidden\" name=\"pdf\" value=\"1\"></input>";
-				echo "<input type=\"hidden\" name=\"datipdf\" value=\"$datipdf\"></input>";
-#				echo "<input type=\"hidden\" name=\"name\" value=\"$elezioni\"></input>";			
-				echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
-
-				echo "<tr><td>";
-				echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\" align=\"left\">";
-				
-				echo "&nbsp; L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
-				type=\"radio\" name=\"orienta\" $port value=\"P\"></input><br />";
-				echo "&nbsp; A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
-				type=\"radio\" name=\"formato\" $A4 value=\"A4\"></input>";
-				
-				
-				echo "	</td></tr></table></form> ";
-					
-					
+					echo "<input type=\"hidden\" name=\"minsez\" value=\"$minsez\"></input>";	
+					echo "<input type=\"hidden\" name=\"offsetsez\" value=\"$offsetsez\"></input>";		
+					echo "<input type=\"hidden\" name=\"perc\" value=\"$perc\"></input>";	
+					echo "<input type=\"hidden\" name=\"id_lista\" value=\"$id_lista\"></input>";
+					echo "<input type=\"hidden\" name=\"pdf\" value=\"1\"></input>";
+					echo "<input type=\"hidden\" name=\"datipdf\" value=\"$datipdf\"></input>";
+	#				echo "<input type=\"hidden\" name=\"name\" value=\"$elezioni\"></input>";			
+					echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
+					echo "<tr><td>";
+					echo "<input type=\"image\" name=\"submit\" src=\"modules/Elezioni/images/pdf.gif\" align=\"left\">";					
+					echo "&nbsp; L &nbsp;<input type=\"radio\" name=\"orienta\" $land value=\"L\"></input>P &nbsp;<input
+					type=\"radio\" name=\"orienta\" $port value=\"P\"></input><br />";
+					echo "&nbsp; A3<input type=\"radio\" name=\"formato\" $A3 value=\"A3\"></input>A4<input
+					type=\"radio\" name=\"formato\" $A4 value=\"A4\"></input>";					
+					echo "	</td></tr></table></form> ";
 				}
-
-
-
 				echo "</div></br />";
-				/*
-
-				if (!$circo)
-				echo "dalla $tipo3 n. <b>$minsez</b> alla $tipo3 n. <b>$offsetsez</b> di <b>$num_sez</b> $tipo2<br/><br/>";
-				else echo "<br/><br/>";
-				
-				if (strstr( $op,'candidato')) echo $list2;	
-				*/
-				
-			}
-			
+			}		
 			if (!$csv){
 				echo "<h5> Sezioni scrutinate";
@@ -518,45 +519,54 @@
 		      // caso: sezioni in collegi diversi non consecutive
 			if (strstr( $op,'circo'))
-				$res_numsez=mysql_query("select num_circ,id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
+				$sql="select num_circ,id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ";
 			else{		      
 			if($circo) { $secirco=" and t2.id_circ=$id_circ";} else $secirco="and t1.num_sez >= $minsez and t1.num_sez <= $offsetsez";
 				$numsezioni = $offsetsez-$ominsez;
-				$res_numsez = mysql_query("SELECT t1.num_sez,t1.id_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez",$dbi);
-			}
-#				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
-				while($res=mysql_fetch_row($res_numsez)) {
-$z=$res[0];
-
+				$sql="SELECT t1.num_sez,t1.id_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez";
+			}
+			$res_numsez = $dbi->prepare("$sql");
+			$res_numsez->execute();#				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
+			while($res=$res_numsez->fetch(PDO::FETCH_NUM)) {
+				$z=$res[0];
 ##############inserimento percentuale di scrutinio nella sezione
-		$scruvalidi=0;
-		$scrunulli=0;
-		$grpercscru=0;
-		$altri=0;
-		$votiscru=0;
-		if($op=="gruppo_sezione"){
-			$resperc=mysql_query("select sum(validi),sum(solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='".$res[1]."'",$dbi);
-		}	
-		elseif($op=="lista_sezione"){
-			$resperc=mysql_query("select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'",$dbi);
-		}	
-		if (isset($resperc) and $resperc)
-			list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
-		if (isset($votiperc) and $votiperc)
-			list($votiscru)=mysql_fetch_row($votiperc);
-		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez='".$res[1]."' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
-		if ($resperc)
-			list($totschede)=mysql_fetch_row($resperc);
-		if (isset($scruvalidi) and $scruvalidi>0 )
-			$grpercscru=$votiscru ? number_format(($votiscru+$scrunulli)*100/$scruvalidi,0) : 0;
+				$scruvalidi=0;
+				$scrunulli=0;
+				$grpercscru=0;
+				$altri=0;
+				$votiscru=0;
+				if($op=="gruppo_sezione"){
+					$sqlr="select sum(validi),sum(solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'";
+					$sqlv="select sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='".$res[1]."'";
+					$resperc = $dbi->prepare("$sqlr");
+					$resperc->execute();
+					$votiperc = $dbi->prepare("$sqlv");
+					$votiperc->execute();
+				}	
+				elseif($op=="lista_sezione"){
+					$sqlr="select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'";
+					$sqlv="select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'";
+					$resperc = $dbi->prepare("$sqlr");
+					$resperc->execute();
+					$votiperc = $dbi->prepare("$sqlv");
+					$votiperc->execute();
+				}	
+				if (isset($resperc) and $resperc)
+					list($scruvalidi,$scrunulli)=$resperc->fetch(PDO::FETCH_NUM);
+				if (isset($votiperc) and $votiperc)
+					list($votiscru)=$votiperc->fetch(PDO::FETCH_NUM);
+				$sql="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez='".$res[1]."' group by data,orario order by data desc, orario desc limit 0,1 ";
+				$resperc = $dbi->prepare("$sql");
+				$resperc->execute();
+
+				if ($resperc)
+					list($totschede)=$resperc->fetch(PDO::FETCH_NUM);
+				if (isset($scruvalidi) and $scruvalidi>0 )
+					$grpercscru=$votiscru ? number_format(($votiscru+$scrunulli)*100/$scruvalidi,0) : 0;
 
 ###################			<span class=\"red\"><i>".$temp3[$key]." %</i></span>		
-					$ar[$z][0]=$res[0]; if($grpercscru) {$ar[$z][0].="<br /><span class=\"red\"><i>$grpercscru%</i></span>";if(!strstr($ar[0][0],'scrutinio')) $ar[0][0].="<br /><span class=\"red\"><i>% scrutinio</i></span>"; }
-					$pos[$z]=$res[0];
-					#$valar[$z]=array();
-				}
-
-
+				$ar[$z][0]=$res[0]; if($grpercscru) {$ar[$z][0].="<br /><span class=\"red\"><i>$grpercscru%</i></span>";if(!strstr($ar[0][0],'scrutinio')) $ar[0][0].="<br /><span class=\"red\"><i>% scrutinio</i></span>"; }
+				$pos[$z]=$res[0];
+				#$valar[$z]=array();
+			}
 			if (!isset($pos)) $pos[0]=0;
 			$minpos=min($pos);
@@ -564,31 +574,35 @@
 			////////////////////////////////////////////////////////////////////
 
-			if ($res_voti)
-			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-					$z=array_search($num_circ, $pos); 
+			if ($res_voti->rowCount())
+			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
+				$z=array_search($num_circ, $pos); 
 				if (!isset($votitot[($z)])) {
-					$votitot[($z)]=0;
-				$sevaltot+=$sevalidi;
-				$senultot+=$senulli;
-				$sebiatot+=$sebianchi;
-				$secontot+=$secontestati;
-				$sevnutot+=$sevonulli;
+					$votitot[($z)]=0; 
+					if($sevalidi) $sevaltot+=$sevalidi;
+					if($senulli) $senultot+=$senulli;
+					if($sebianchi) $sebiatot+=$sebianchi;
+					if($secontestati) $secontot+=$secontestati;
+					if($sevonulli) $sevnutot+=$sevonulli;
 				}
 				$votitot[($z)]+=$voti;
 				$voticompl+=$voti;
 			}
-			if ($voticompl) mysql_data_seek($res_voti,0);
+			if ($voticompl) {
+				$res_voti = $dbi->prepare("$sqlvoti");
+				$res_voti->execute();
+			}
 			$piuvot=0;
 			if ($visvot!='cand') $piuvot=5;
-
-
-for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
-if (strstr( $op,'circo'))
-$lis_sez=mysql_query("select num_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
-else
-	$lis_sez=mysql_query("select num_sez from ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez>='$minsez' and num_sez<='$offsetsez' order by num_sez",$dbi);
-$nsezsel=mysql_num_rows($lis_sez);
-while(list($z)=mysql_fetch_row($lis_sez)) 
-{ for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;";} //inizializza le celle interne
+			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
+			if (strstr( $op,'circo'))
+				$sql="select num_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ";
+			else
+				$sql="select num_sez from ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez>='$minsez' and num_sez<='$offsetsez' order by num_sez";
+			$lis_sez = $dbi->prepare("$sql");
+			$lis_sez->execute();
+			$nsezsel=$lis_sez->rowCount();
+			while(list($z)=$lis_sez->fetch(PDO::FETCH_NUM)) 
+			{ 
+				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;";} //inizializza le celle interne
 
 ###################################################################
@@ -596,10 +610,10 @@
 #			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
  #				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
-			$onetime=""; 
-			if ($res_voti)
-			{
-					while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
+				$onetime=""; 
+				if ($res_voti)
+				{
+					while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
 						$z=array_search($num_circ, $pos);
-								$valar[($z)][$num_cand]=$voti;
+						$valar[($z)][$num_cand]=$voti;
 					}
 					foreach ($valar as $key=>$val){ 
@@ -607,71 +621,73 @@
 							$percar[$key]=arrayperc($val,$votitot[($key)]);
 						}
-
-					 if(mysql_num_rows($res_voti)) mysql_data_seek($res_voti,0);		
-			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-					if($num_cand<$min or $num_cand>$offset) continue;
-
-				if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
-				$temp[$num_cand]+=$voti;
-				$z=array_search($num_circ, $pos); if (!$z) continue;
-				if ($num_cand>=$min and $num_cand<=$offset){
-					if($num_circ>=$minpos and $num_circ <=$maxpos){
-						$ar[0][$num_cand]=$num_cand.") ".$nome;
-						if ($desc_circ && $onetime!=$desc_circ) {$ar[($z)][0].=") ".$desc_circ; $onetime=$desc_circ;}
-						$percento=$voti;
-						if ($perc=='true' and $votitot[($z)]) 
-						{
-							$percento=$voti."<br /><span class=\"red\" style=\"font-size:80%;\"><i>".number_format($percar[$z][$num_cand],2)." %</i></span>";
+						if($res_voti->rowCount()) {
+							$res_voti = $dbi->prepare("$sqlvoti");
+							$res_voti->execute();			 
+						}	
+					while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = $res_voti->fetch(PDO::FETCH_NUM)){
+						if($num_cand<$min or $num_cand>$offset) continue;
+						if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
+						$temp[$num_cand]+=$voti;
+						$z=array_search($num_circ, $pos); 
+						if (!$z) continue;
+						if ($num_cand>=$min and $num_cand<=$offset){
+							if($num_circ>=$minpos and $num_circ <=$maxpos){
+								$ar[0][$num_cand]=$num_cand.") ".$nome;
+								if ($desc_circ && $onetime!=$desc_circ) {$ar[($z)][0].=") ".$desc_circ; $onetime=$desc_circ;}
+								$percento=$voti;
+								if ($perc=='true' and $votitot[($z)]) 
+								{
+									$percento=$voti."<br /><span class=\"red\" style=\"font-size:80%;\"><i>".number_format($percar[$z][$num_cand],2)." %</i></span>";
+								}
+								$ar[($z)][$num_cand]=$percento;
+							}	
 						}
-						$ar[($z)][$num_cand]=$percento;
+						if (!strstr( $op,'candidato')){
+							if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
+							$tempar[$num_cand]+=$voti;
+						}
+						if ($visvot!='cand'){ 
+							$posvoti=($offset);
+							$ar[0][$posvoti+1]='<b>Voti Validi</b>';
+							$ar[0][$posvoti+2]='<b>Schede Nulle</b>';
+							$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
+							$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
+							$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
+							if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
+							//$posvoti++;
+								$ar[($z)][$posvoti+1]="<b>$sevalidi</b>";
+								$ar[($z)][$posvoti+2]="<b>$senulli</b>";
+								$ar[($z)][$posvoti+3]="<b>$sebianchi</b>";
+								$ar[($z)][$posvoti+4]="<b>$secontestati</b>";
+								$ar[($z)][$posvoti+5]="<b>$sevonulli</b>"; 
+							}
+						} 
 					}
-					
-					
-					
 				}
-				if (!strstr( $op,'candidato')){
-				if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
-				$tempar[$num_cand]+=$voti;}
-				if ($visvot!='cand'){ 
-				$posvoti=($offset);
-				$ar[0][$posvoti+1]='<b>Voti Validi</b>';
-				$ar[0][$posvoti+2]='<b>Schede Nulle</b>';
-				$ar[0][$posvoti+3]='<b>Schede Bianche</b>';
-				$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
-				$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
-				if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
-				//$posvoti++;
-				$ar[($z)][$posvoti+1]="<b>$sevalidi</b>";
-				$ar[($z)][$posvoti+2]="<b>$senulli</b>";
-				$ar[($z)][$posvoti+3]="<b>$sebianchi</b>";
-				$ar[($z)][$posvoti+4]="<b>$secontestati</b>";
-				$ar[($z)][$posvoti+5]="<b>$sevonulli</b>"; 
-				}
-				} 
-			}
-			}
-
-			if (($offsetsez+1)>=$num_sez){  
-				$ar[(1+$numsezmax)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
-				if(isset($temp)) {
-					 if (!isset($tab15) or !$tab15) $tab15="candidati";
-                     if($tab15=="gruppo"){
+
+				if (($offsetsez+1)>=$num_sez){  
+					$ar[(1+$numsezmax)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
+					if(isset($temp)) {
+					if (!isset($tab15) or !$tab15) $tab15="candidati";
+                    if($tab15=="gruppo"){
                           $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
-                     }elseif($votog){
+                    }elseif($votog){
                           $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
-                     }else{
-                          if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
-			  else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
-                     }
+                    }else{
+                        if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
+						else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
+                    }
                     if($circo) 
-                    	$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni AS t1
-LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
+                    	$sql="SELECT $votigl from ".$prefix."_ele_sezioni AS t1 LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ";
                     else 
-						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)",$dbi);
-
-					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= mysql_fetch_row($resv);
+						$sql="SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)";
+					$resv = $dbi->prepare("$sql");
+					$resv->execute();
+					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= $resv->fetch(PDO::FETCH_NUM);
 					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
-					$resvt = mysql_query("SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'",$dbi);
-					if($resvt) list($votlt)=mysql_fetch_row($resvt); else $votlt=0;
+					$sql="SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'";
+					$resvt = $dbi->prepare("$sql");
+					$resvt->execute();
+					if($resvt) list($votlt)=$resvt->fetch(PDO::FETCH_NUM); else $votlt=0;
 					if($perc) $temp3=arrayperc($temp,$sevaltot);
 					while (list($key,$voti)= each($temp)) {
@@ -714,6 +730,9 @@
 //e' un referendum  
 		}else{
-			$res_lis = mysql_query("SELECT id_gruppo, descrizione,num_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons order by num_gruppo",$dbi);
-			if($res_lis) $numliste=mysql_num_rows($res_lis); else $numliste=0;
+			$sql="SELECT id_gruppo, descrizione,num_gruppo from ".$prefix."_ele_gruppo where id_cons=$id_cons order by num_gruppo";
+			$res_lis = $dbi->prepare("$sql");
+			$res_lis->execute();
+
+			if($res_lis) $numliste=$res_lis->rowCount(); else $numliste=0;
 
 			if (!isset($offset)) $offset=10;
@@ -731,5 +750,5 @@
 				echo ""._SCELTA." "._CONSULTAZIONE.": <select name=\"id_gruppo\">";
 				if($res_lis)
-				    while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_lis)) {
+				    while(list($id_rif,$descrizione,$num_lis) = $res_lis->fetch(PDO::FETCH_NUM)) {
 					if (!$id_gruppo) $id_gruppo=$id_rif;
 					$sel = ($id_rif == $id_gruppo) ? "selected=\"selected\"" : "";
@@ -748,6 +767,9 @@
 			}
 
-			$res_ref= mysql_query("select num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id_gruppo", $dbi);
-			$res = mysql_query("select $tab2, t1.num_gruppo, t1.descrizione , t1.simbolo, 
+			$sql="select num_gruppo,descrizione from ".$prefix."_ele_gruppo where id_gruppo=$id_gruppo";
+			$res_ref = $dbi->prepare("$sql");
+			$res_ref ->execute();
+
+			$sql="select $tab2, t1.num_gruppo, t1.descrizione , t1.simbolo, 
 			sum(t2.si),  sum(t2.no),sum(t2.validi),  sum(t2.nulli),sum(t2.bianchi),  sum(t2.contestati)
 			from ".$prefix."_ele_gruppo as t1
@@ -759,7 +781,10 @@
 			group by t2.id_gruppo,$tab3
 			order by $tab3, t1.num_gruppo
-			", $dbi);
-			if($res) $num_sez=mysql_num_rows($res); else $num_sez=0;
-			if($res_ref) list($num_gruppo,$descr)= mysql_fetch_row($res_ref); else {$num_gruppo=0;$descr='';}
+			";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+
+			if($res) $num_sez=$res->rowCount(); else $num_sez=0;
+			if($res_ref) list($num_gruppo,$descr)= $res_ref->fetch(PDO::FETCH_NUM); else {$num_gruppo=0;$descr='';}
 			
 			if (!$csv){
@@ -822,13 +847,22 @@
 
 // numero sezioni scrutinate
-  	$res4 = mysql_query("select t3.*  from ".$prefix."_ele_voti_ref as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons'  group by t3.id_sez ",$dbi);
-	$numero=mysql_num_rows($res4);
-	$res5 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' ",$dbi);
-	$sezioni=mysql_num_rows($res5);
+  	$sql="select t3.*  from ".$prefix."_ele_voti_ref as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons'  group by t3.id_sez ";
+	$res4 = $dbi->prepare("$sql");
+	$res4->execute();
+
+	$numero=$res4->rowCount();
+	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' ";
+	$res5 = $dbi->prepare("$sql");
+	$res5->execute();
+
+	$sezioni=$res5->rowCount();
 	if ($numero!=0) echo "<h5><i> "._SEZSCRU." $numero "._SU." $sezioni </i></h5>";
 
 }
-	$res5=mysql_query("select count(0) from ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
-	list($num_sez) = mysql_fetch_row($res5);
+	$sql="select count(0) from ".$prefix."_ele_sezioni where id_cons='$id_cons'";
+	$res5 = $dbi->prepare("$sql");
+	$res5->execute();
+
+	list($num_sez) = $res5->fetch(PDO::FETCH_NUM);
 
 
@@ -847,5 +881,5 @@
 		$ar[0][6]=_CONTESTATI;
 		if($res_ref)
-		    while (list($num_gruppo,$desc_ref) = mysql_fetch_row($res_ref)){
+		    while (list($num_gruppo,$desc_ref) = $res_ref->fetch(PDO::FETCH_NUM)){
 			$ar[0][$i++]= $num_gruppo.") ".$desc_ref;
 			$ar[1][$y++]= "SI";
@@ -860,5 +894,5 @@
 		$tot_co=0;
 		if($res)
-		    while (list($num_circ,$desc_circ,$num_gruppo,$desc_ref,$simbolo,$si,$no,$validi,$nulli,$bianchi, $contestati)  = mysql_fetch_row($res)){
+		    while (list($num_circ,$desc_circ,$num_gruppo,$desc_ref,$simbolo,$si,$no,$validi,$nulli,$bianchi, $contestati)  = $res->fetch(PDO::FETCH_NUM)){
 			$i=1;
 			$votanti=$validi+$nulli+$bianchi+$contestati;
